Rails 3.1.beta1 i problemy ze sprockets

Zapewne wielu z Was testowo bawi się już Rails’ami w wersji 3.1.beta1.

Jeżeli wystąpił u Was błąd:

/.../actionpack-3.1.0.beta1/lib/sprockets/railtie.rb:37:in `block (2 levels) in <class:Railtie>': undefined method `context' for #<Sprockets::Environment:0x000001032431b0> (NoMethodError)

to znaczy, że stworzyliście nowy projekt po tym, jak wyszła kolejna beta sprockets (beta3), która nie jest kompatybilna z Rails 3.1.beta1.

Prostym rozwiązaniem jest dodanie do pliku Gemfile takiego oto wpisu:

gem 'sprockets', '2.0.0.beta.2'

po czym oczywiście należy zainstalować nową wersję sprockets wydając polecenie:

bundle install

Miłego beta-testowania. 🙂

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *